%define name	emboss
%define NAME	EMBOSS
%define version 2.9.0
%define release 2mdk
%define major	2
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The European Molecular Biology Open Software Suite
Group:		Sciences/Biology
License:	GPL/LGPL
URL:		http://www.emboss.org
Source0:	ftp://ftp.uk.embnet.org/pub/EMBOSS/%{NAME}-%{version}.tar.bz2
Source1:	%{name}.default.bz2
Patch0:		%{name}-2.9.0.oldpcre.patch.bz2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	XFree86-devel
BuildRequires:	automake1.8
BuildRoot:      %{_tmppath}/%{name}-%{version}
Obsoletes:	%{NAME}
Provides:	%{NAME}

%description
EMBOSS is a new, free Open Source software analysis package specially
developed for the needs of the molecular biology (e.g. EMBnet) user community.
The software automatically copes with data in a variety of formats and even
allows transparent retrieval of sequence data from the web. Also, as extensive
libraries are provided with the package, it is a platform to allow other
scientists to develop and release software in true open source spirit.
EMBOSS also integrates a range of currently available packages and tools for
sequence analysis into a seamless whole.

Reference for EMBOSS: Rice,P. Longden,I. and Bleasby,A.
"EMBOSS: The European Molecular Biology Open Software Suite"
Trends in Genetics June 2000, vol 16, No 6. pp.276-277

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q -n %{NAME}-%{version}
%patch -p 1
aclocal-1.8 -I m4
automake-1.8
bzcat %{SOURCE1} > emboss.default

%build
%configure2_5x --without-java
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# fix perms and conflicts
chmod 755 %{buildroot}%{_bindir}/runJemboss.csh
for file in merger emma yank; do 
	mv %{buildroot}%{_bindir}/$file %{buildroot}%{_bindir}/$file-%{name}
done
# configuration file
install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 emboss.default %{buildroot}%{_sysconfdir}
cd %{buildroot}%{_datadir}/EMBOSS && ln -s ../../../etc/emboss.default .
# shell init files
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
cat >%{buildroot}%{_sysconfdir}/profile.d/emboss.sh <<EOF
#EMBOSS environment
export PLPLOT_LIB=%{_datadir}/EMBOSS
EOF
cat >%{buildroot}%{_sysconfdir}/profile.d/emboss.csh <<EOF
#EMBOSS environment
setenv PLPLOT_LIB %{_datadir}/EMBOSS
EOF
#remove jemboss
rm -rf %{buildroot}%{_datadir}/EMBOSS/jemboss


%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL LICENSE NEWS README THANKS
%{_bindir}/*
%{_datadir}/EMBOSS
%config(noreplace) %{_sysconfdir}/emboss.default
%config(noreplace) %{_sysconfdir}/profile.d/emboss.*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Fri Jan 28 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.9.0-2mdk 
- fix pcre conflict (Marc Koschewski <marc@osknowledge.org>)
- remove .c files in %{_includedir}
- spec cleanup

* Tue Jan 18 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.9.0-1mdk 
- contributed by Gatan Lehmann (gaetan.lehmann@jouy.inra.fr) 
- drop __libtoolize hack
- drop patch0

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.8.0-2mdk 
- remove installed java stuff

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.8.0-1mdk
- new version
- changed name to emboss, mixed cases sucks
- fixed conflicts
- rediff patch

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.6.0-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Fri Jan 24 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.6.0-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
- patched jemboss Makefile to allows building
- split library packages
- env initialisation via scripts in %{_sysconfdir}/profile.d
- config file in %{_sysconfdir}
- noreplace for config files
